// redux-recycle higher order reducer
'use strict';

exports.__esModule = true;
exports['default'] = recycleState;

function recycleState(reducer, actions, initialState) {
  if (actions === undefined) actions = [];

  return function (state, action) {
    if (actions.indexOf(action.type) >= 0) {
      if (initialState === undefined) {
        return reducer(undefined, { type: '@@redux-recycle/INIT' });
      }
      return initialState;
    }
    return reducer(state, action);
  };
}

// /redux-recycle
module.exports = exports['default'];